package edu.utexas.cs.tamerProject.applet.run;

import org.rlcommunity.agents.random.RandomAgent;

import org.rlcommunity.rlglue.codec.AgentInterface;
import org.rlcommunity.rlglue.codec.EnvironmentInterface;

import edu.utexas.cs.tamerProject.applet.RLApplet;
import edu.utexas.cs.tamerProject.applet.RunLocalExperiment;
import edu.utexas.cs.tamerProject.environments.loopmaze.LoopMaze;

public class LoopmazeRandom extends RLApplet {

	public void init() {
		AgentInterface agent = new RandomAgent();
		EnvironmentInterface env = new LoopMaze();
		
		RunLocalExperiment.isApplet = true;
		int height = this.getHeight();
		int width = this.getWidth();
		rlPanel = makeRLPanel();
		rlPanel.setSize(width, height);
			
		prepForInitPanel();
	
		initPanel(agent, env);
	}
	
}
