package edu.utexas.cs.tamerProject.applet.run;

import org.rlcommunity.agents.random.RandomAgent;
import org.rlcommunity.environments.tetris.Tetris;
import org.rlcommunity.rlglue.codec.AgentInterface;
import org.rlcommunity.rlglue.codec.EnvironmentInterface;

import edu.utexas.cs.tamerProject.applet.RLApplet;
import edu.utexas.cs.tamerProject.applet.RLPanel;
import edu.utexas.cs.tamerProject.applet.RunLocalExperiment;

public class TetrisRandom extends RLApplet {

	public void init() {
		AgentInterface agent = new RandomAgent();
		EnvironmentInterface env = new Tetris();
		
		RunLocalExperiment.isApplet = true;
		int height = this.getHeight();
		int width = this.getWidth();
		rlPanel = makeRLPanel();
		rlPanel.setSize(width, height);
			
		prepForInitPanel();
	
		initPanel(agent, env);
	}
	
}
